Results 1 to 11 of 11

Your favorite Apple, iPhone, iPad, iOS, Jailbreak, and Cydia site.


Thread: help with update to 4.0! please

  1. #1
    Default help with update to 4.0! please
    i have an ipod touch 2g (3.1.3) and i have downloaded firmware 4.0.but when i put my ipod in dfu and do the shift+restore and select the .ipsw, itunes says that cannot update (error 3194)
    what should i do?

    PS:my ipod have jailbreak with spirit!

  2. #2
    Green Apple
    Join Date
    Nov 2008
    Location
    Sunshine coast BC, Canada
    Posts
    76
    Thanks
    1
    Thanked 16 Times in 6 Posts

    Don't put your iPod in DFU. Just use the shift restore and point to the 4.0 ispw

  3. #3
    Quote Originally Posted by AdonisBlue View Post
    Don't put your iPod in DFU. Just use the shift restore and point to the 4.0 ispw
    i tried that but he says that the version of my device is not acepted for the selected step.

  4. #4
    Superbad Modder-ator Simon's Avatar
    Join Date
    Nov 2007
    Location
    Bermuda
    Posts
    48,875
    Thanks
    8,108
    Thanked 17,645 Times in 8,025 Posts

    you would need SHSH for 4.0 to be able to restore to 4.0.

  5. #5
    Green Apple
    Join Date
    Feb 2010
    Location
    Minnesota
    Posts
    53
    Thanks
    7
    Thanked 0 Times in 0 Posts

    I don't believe you need the SHSH for 4.0 if your going from 3.1.3 but I might be wrong. I had this problem a few months back on one of our Touch's but can't recall exactly how I went about getting it updated to 4.0. Your best bet might be googling your problem there are a couple different procedures that you might have to try. One thing I remember is that I had success on an older version of iTunes. Also not sure this is the case or not but DFU mode is different than Recovery mode so maybe you were in Recovery mode which might not work when you are forcing a restore to a version other than the most recent.

    Wessy

  6. #6
    Green Apple
    Join Date
    Nov 2008
    Location
    Sunshine coast BC, Canada
    Posts
    76
    Thanks
    1
    Thanked 16 Times in 6 Posts

    Quote Originally Posted by x98car View Post
    you would need SHSH for 4.0 to be able to restore to 4.0.
    He is not downgrading he is upgrading..

    Quote Originally Posted by Wessy View Post
    I don't believe you need the SHSH for 4.0 if your going from 3.1.3 but I might be wrong. I had this problem a few months back on one of our Touch's but can't recall exactly how I went about getting it updated to 4.0. Your best bet might be googling your problem there are a couple different procedures that you might have to try. One thing I remember is that I had success on an older version of iTunes. Also not sure this is the case or not but DFU mode is different than Recovery mode so maybe you were in Recovery mode which might not work when you are forcing a restore to a version other than the most recent.

    Wessy
    Recovery mode is what he needs to use. and the issue is iTunes needs to be downgraded as well (sorry never thought about that earlier) there should be guides on doing so. Just do a google search as mentioned. there may even be a guide here on modmyi.
    Last edited by AdonisBlue; 2010-10-15 at 12:11 AM. Reason: Automerged Doublepost

  7. #7
    Superbad Modder-ator Simon's Avatar
    Join Date
    Nov 2007
    Location
    Bermuda
    Posts
    48,875
    Thanks
    8,108
    Thanked 17,645 Times in 8,025 Posts

    It doesnt matter if he is restoring/upgrading/downgrading. A iPod Touch 2G needs SHSH for 4.0 and up. For firmware below 4.0 SHSH is not required. The one exception to this rule is if he has a MB model iPod touch. If he does then he can install custom firmwares to get around SHSH.

  8. #8
    What's Jailbreak?
    Join Date
    Oct 2010
    Location
    SoMeWHeRe iN TiME™
    Posts
    12
    Thanks
    3
    Thanked 1 Time in 1 Post
    Quote Originally Posted by noidxd View Post
    i have an ipod touch 2g (3.1.3) and i have downloaded firmware 4.0.but when i put my ipod in dfu and do the shift+restore and select the .ipsw, itunes says that cannot update (error 3194)
    what should i do?

    PS:my ipod have jailbreak with spirit!
    Maybe putting it into DFU mode is causing something to go wrong?? I just let iTunes do it.


    After over a week of googling and failing to get my iPod to upgrade due to the same error,I finally managed to update my ipod touch 2G (from 2.2.1) to 3.0 and then to 4.0. I have never been on 4.0 so im guessing I wouldnt have had these SHSH files for it yet I managed to upgrade,heres what i did,maybe it will help you.

    As you are already on 3.1.3 I wont bother with my earlier steps,


    Windows:

    Download iTunes 9.2.0.61 and install it. ((if you have a newer version,make sure you uninstall ALL of iTunes services first)).
    www dot iphonexpert dot com/how-to-download-ios4-iphone-ipod-touch-gm-firmware-itunes-9-2-beta/#idc-cover (iTunes 9.2.0.61)
    Open iTunes and connect your iPod.
    Click on your iPod in iTunes on the restore/upgrade page,click on UPDATE.
    A box will pop up asking you to confirm the update to the latest iTunes and firmware(iTunes10 and OS4.1),CLICK CANCEL!!!!
    Now hold the shift key and click on restore,select the 4.0 firmware. iTunes should do its thing and you should end up on 4.0 once it's finished.


    Now please keep in mind I read many many tuts and none worked for me so I cant say this will work 100% for you.Maybe I got lucky who knows but this is what I did and I'm now on 4.0.If the above worked then just goto JailbreakMe.com on you iPod and follow the onscreen instruction to jailbreak it (slide the slider).

    Hope this helped,
    Last edited by iGoTiT4FrEe; 2010-10-17 at 09:12 AM.

  9. #9
    What's Jailbreak?
    Join Date
    Oct 2010
    Location
    SoMeWHeRe iN TiME™
    Posts
    12
    Thanks
    3
    Thanked 1 Time in 1 Post
    wrong post above?

  10. #10
    Superbad Modder-ator Simon's Avatar
    Join Date
    Nov 2007
    Location
    Bermuda
    Posts
    48,875
    Thanks
    8,108
    Thanked 17,645 Times in 8,025 Posts

    Looks like spam post above, dont worry a mod will delete it.

  11. #11
    Ok here ya go. I have had the same problem. You need to edit your Hosts file to point to cydia so iTunes gets it info from cydia rather then apple and rejection.
    1. Google how to edit hosts file either mac/win
    2. Add "74.208.10.249 gs.apple.com"

    Be very careful when people give you advice like editing your Hosts file, make sure you know where it's going. Quick note Tinyumbrella will do this for you if you have a mac and the newest TU. Software and you can save your shsh blog locally. I wish I saved my ios 3. Blog but alas I can only go back to 4.0.

    Sweet1eaf-

Posting Permissions
  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •